orca crashes on startup

Bug #1704847 reported by Tim Smith on 2017-07-17
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
gnome-orca (Ubuntu)
High
Unassigned

Bug Description

Every time I run orca, it crashes immediately with the following message.

-----

Fatal Python error: Segmentation fault

Stack (most recent call first):
  File "/usr/lib/python3/dist-packages/pyatspi/registry.py", line 219 in registerEventListener
  File "/usr/lib/python3/dist-packages/orca/event_manager.py", line 410 in _registerListener
  File "/usr/lib/python3/dist-packages/orca/event_manager.py", line 443 in registerScriptListeners
  File "/usr/lib/python3/dist-packages/orca/script.py", line 269 in registerEventListeners
  File "/usr/lib/python3/dist-packages/orca/scripts/default.py", line 720 in registerEventListeners
  File "/usr/lib/python3/dist-packages/orca/script_manager.py", line 69 in activate
  File "/usr/lib/python3/dist-packages/orca/orca.py", line 394 in loadUserSettings
  File "/usr/lib/python3/dist-packages/orca/orca.py", line 514 in init
  File "/usr/lib/python3/dist-packages/orca/orca.py", line 696 in main
  File "/usr/bin/orca", line 269 in main
  File "/usr/bin/orca", line 272 in <module>
Segmentation fault

Hello
Please provide more information, such as output of:

> apt-cache policy gnome-orca

Changed in gnome-orca (Ubuntu):
status: New → Incomplete
Tim Smith (timoths) wrote :

Here it is. Please let me know if there is any other information I can provide.

-----

:~# apt-cache policy gnome-orca
gnome-orca:
  Installed: 3.24.0-1
  Candidate: 3.24.0-1
  Version table:
 *** 3.24.0-1 0
        500 http://ftp.us.debian.org/debian/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status

I get a different crash on 17.10, can you confirm this is the version you're using as well?

ouroumov@Artful-a2:~/Desktop$ apt-cache policy gnome-orca
gnome-orca:
  Installed: 3.24.0-1ubuntu1
  Candidate: 3.24.0-1ubuntu1
  Version table:
 *** 3.24.0-1ubuntu1 500
        500 http://fr.archive.ubuntu.com/ubuntu artful/main amd64 Packages
        500 http://fr.archive.ubuntu.com/ubuntu artful/main i386 Packages
        100 /var/lib/dpkg/status
ouroumov@Artful-a2:~/Desktop$ which orca
/usr/bin/orca
ouroumov@Artful-a2:~/Desktop$ orca
Traceback (most recent call last):
  File "/usr/bin/orca", line 272, in <module>
    sys.exit(main())
  File "/usr/bin/orca", line 251, in main
    manager.activate(args.user_prefs, settingsDict)
  File "/usr/lib/python3/dist-packages/orca/settings_manager.py", line 131, in activate
    raise Exception('SettingsManager._loadBackend failed.')
Exception: SettingsManager._loadBackend failed.
ouroumov@Artful-a2:~/Desktop$

Tim Smith (timoths) wrote :

I'm not using Ubuntu, but rather Debian (sid/unstable).

Changed in gnome-orca (Ubuntu):
status: Incomplete → Confirmed

Orca is also broken in Ubuntu Artful Daily-live, up to date.

Changed in gnome-orca (Ubuntu):
importance: Undecided → High
Paul Gevers (paul-climbing) wrote :

@Tim, you're running Debian, why report the bug in Ubuntu. Please run "reportbug gnome-orca" on the computer where you experience problems. If your computer is not set up (properly) to send e-mails, instead of hitting "Y" on the final question "Submit this report on gnome-orca (e to edit)" you can answer "p" and copy/paste the content and e-mail to "<email address hidden>".

See also https://www.debian.org/Bugs/Reporting

Tim Smith (timoths) wrote :

Whoops - I should pay more attention to which bug tracker I'm reporting to! I'll run reportbug as you describe. (It will be next week when I have access again to the computer in question.)

Alex ARNAUD (alexarnaud) wrote :

Dear all,

I'm experiencing the same bug as described in comment #3. This is a bug related to the GSettings support.

Best regards.

Alex ARNAUD (alexarnaud) wrote :

Orca searches for the file /usr/lib/python3/dist-packages/orca/backends/gsettings_backend.py but it doesn't exist anyware.

It looks like the Ubuntu patch "0001-Add-GSettings-backend-to-Orca.patch" is the origin of the issue. The file "src/orca/backends/gsettings_backend.py" is not shipped with the Ubuntu package.

Best regards.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1704847

tags: added: iso-testing
Jeremy Bicha (jbicha) wrote :

I'm closing this bug since the original reporter isn't using Ubuntu and this is an Ubuntu bug tracker.

Alex, please file a new bug for your issue.

Changed in gnome-orca (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers